Get criteria DAG
GET
/api/v1/criteria/graph
const url = 'https://example.com/api/v1/criteria/graph?projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/criteria/graph?projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
object
nodes
required
Array<object>
object
id
required
string
prompt
required
string
dependsOn
Array<string>
gates
Array<string>
edges
required
Array<object>
object
from
required
string
to
required
string